Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe.joiner
Class LeftJoin.JoinIterator

    java.lang.Object
      cascading.pipe.joiner.InnerJoin.JoinIterator
          cascading.pipe.joiner.OuterJoin.JoinIterator
              cascading.pipe.joiner.LeftJoin.JoinIterator

All Implemented Interfaces:
  Iterator<Tuple>

Enclosing class:
  LeftJoin

    public static class LeftJoin.JoinIterator

extends OuterJoin.JoinIterator

Constructor Summary
`LeftJoin.JoinIterator(JoinerClosure closure)`

Method Summary
`protected boolean` | `isOuter(int i)`

Methods inherited from class cascading.pipe.joiner.OuterJoin.JoinIterator
`getIterator, init`

Methods inherited from class cascading.pipe.joiner.InnerJoin.JoinIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeftJoin.JoinIterator

    public LeftJoin.JoinIterator(JoinerClosure closure)

Method Detail

### isOuter

    protected boolean isOuter(int i)

  Overrides:
    `isOuter` in class `OuterJoin.JoinIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.